【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)

admin 2024年1月14日20:40:42评论22 views字数 2173阅读7分14秒阅读模式

通告编号:NS-2024-0001

2024-01-14
TAG: GitLab EE/CE、密码重置、CVE-2023-7028
漏洞危害: 攻击者利用此漏洞,可实现任意用户密码重置。
版本: 1.0
1

漏洞概述

近日,绿盟科技CERT监测到GitLab官方发布安全公告,修复了GitLab社区版(CE)和企业版(EE)中的多个安全漏洞,其中包括两个严重漏洞,请相关用户尽快采取措施进行防护。

CVE-2023-7028:GitLab CE/EE中支持用户通过辅助电子邮件地址重置密码,由于电子邮件验证过程中存在错误,攻击者可将重置帐户密码的邮件发送到未经验证的邮箱,在无需用户交互的情况下通过密码重置进行帐户接管,CVSS评分为10。

CVE-2023-5356:授权检查不当漏洞,攻击者可以滥用Slack/Mattermost集成以其他用户的身份执行斜杠命令,CVSS评分为9.6。

GitLab 是由 GitLab Inc.开发的一个用于仓库管理系统的开源项目,使用 Git 作为代码管理工具,可通过 Web 界面访问公开或私人项目。

参考链接:

https://about.gitlab.com/releases/2024/01/11/critical-security-release-gitlab-16-7-2-released/

SEE MORE →

2影响范围

受影响版本

CVE-2023-7028:

  • 16.1 <= GitLab CE/EE < 16.1.5

  • 16.2 <= GitLab CE/EE < 16.2.8

  • 16.3 <= GitLab CE/EE < 16.3.6

  • 16.4 <= GitLab CE/EE < 16.4.4

  • 16.5 <= GitLab CE/EE < 16.5.6

  • 16.6 <= GitLab CE/EE < 16.6.4

  • 16.7 <= GitLab CE/EE < 16.7.2

注:于2023年5月1日在16.1.0中引入

CVE-2023-5356:

  • 8.13 <= GitLab CE/EE < 16.5.6

  • 16.6 <= GitLab CE/EE < 16.6.4

  • 16.7 <= GitLab CE/EE < 16.7.2

不受影响版本

  • GitLab CE/EE >= 16.5.6

  • GitLab CE/EE >= 16.6.4

  • GitLab CE/EE >= 16.7.2

注:CVE-2023-7028的修复程序已向后移植到16.1.6、16.2.9、16.3.7和16.4.5。

3漏洞检测

3.1  版本检测

相关用户可通过版本检测的方法判断当前应用是否存在风险。

使用如下命令可查看当前GitLab的版本:

cat   /opt/gitlab/embedded/service/gitlab-rails/VERSION

【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)

若当前版本在受影响范围内,则可能存在安全风险。

3.2  攻击排查

相关用户可以通过查看应用日志检查是否存在CVE-2023-7028的漏洞利用尝试:

1、检查 gitlab-rails/production_json.log,查看是否存在指向/users/password 路径的 HTTP 请求,其中包含params.value.email,由具有多个电子邮件地址的json数组组成。

2、检查gitlab-rails/audit_json.log,查找包含meta.caller.id的PasswordsController#create和target_details的条目,这些条目由具有多个电子邮件地址的json数组组成。

4漏洞防护

4.1  官方升级

目前官方已在最新版本中修复了上述漏洞,请受影响的用户尽快升级版本进行防护,官方下载链接:https://about.gitlab.com/update/

4.2  其他防护措施

若相关用户暂时无法进行升级操作,也可采用下列措施对CVE-2023-7028进行临时缓解:

为所有 GitLab 帐户启用双因素身份验证(2FA),尤其是具有高级权限的用户(例如管理员帐户),官方参考文档:https://docs.gitlab.com/ee/user/profile/account/two_factor_authentication.html

在不影响业务的前提下,可对目标应用进行访问限制。

注:SSO 用户(例如 SAML)会受到影响,但 LDAP 用户不会受到影响,因为没有忘记/重置密码选项。如果已经启用了2FA,攻击者将无法接管该帐户,需要第二个身份验证因素才能登录,但其仍然能够重置密码。

END

【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)         
【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)        
声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。            

绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。            

【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)

绿盟科技CERT微信公众号
【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)
【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)
长按识别二维码,关注网络安全威胁信息

原文始发于微信公众号(绿盟科技CERT):【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年1月14日20:40:42
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   【漏洞通告】GitLab任意用户密码重置漏洞(CVE-2023-7028)https://cn-sec.com/archives/2393002.html

发表评论

匿名网友 填写信息